%bcond_with bootstrap
%global packname  car
%global rlibdir  %{_datadir}/R/library

Name:             R-%{packname}
Version:          2.0_12
Release:          2
Summary:          Companion to Applied Regression
Group:            Sciences/Mathematics
License:          GPL (>= 2)
URL:              http://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_2.0-12.tar.gz
BuildArch:        noarch
Requires:         R-core
Requires:         R-stats R-graphics R-MASS R-nnet
%if %{with bootstrap}
Requires:         R-leaps R-lme4 R-nlme R-mgcv R-rgl R-survival
%else
Requires:         R-alr3 R-leaps R-lme4 R-lmtest R-nlme R-sandwich R-mgcv
Requires:         R-rgl R-survival R-survey
%endif
BuildRequires:    R-devel Rmath-devel texlive-collection-latex R-stats
BuildRequires:    R-graphics R-MASS R-nnet
%if %{with bootstrap}
BuildRequires:    R-leaps R-lme4 R-nlme R-mgcv R-rgl R-survival
%else
BuildRequires:    R-alr3 R-leaps R-lme4 R-lmtest R-nlme R-sandwich R-mgcv
BuildRequires:    R-rgl R-survival R-survey
%endif
%rename R-cran-car

%description
This package accompanies J. Fox and S. Weisberg, An R Companion to Applied
Regression, Second Edition, Sage, 2011.

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%if %{without bootstrap}
%check
%{_bindir}/R CMD check %{packname}
%endif

%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/CITATION
%doc %{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/data
%{rlibdir}/%{packname}/help


%changelog
* Tue Feb 21 2012 Paulo Andrade <pcpa@mandriva.com.br> 2.0_12-2
+ Revision: 778384
- Rebuild with proper dependencies

* Sat Feb 18 2012 Paulo Andrade <pcpa@mandriva.com.br> 2.0_12-1
+ Revision: 777031
- Rebuild with R2spec
- Rebuild with R2spec

* Mon Dec 28 2009 Jérôme Brenier <incubusss@mandriva.org> 1.2.16-2mdv2010.1
+ Revision: 483153
- drop R-cran-survival suggests

* Fri Dec 25 2009 Jérôme Brenier <incubusss@mandriva.org> 1.2.16-1mdv2010.1
+ Revision: 482253
- import R-cran-car

